wibble::Singleton< T >::const_iterator Class Reference

`#include <singleton.h>`

Inheritance diagram for wibble::Singleton< T >::const_iterator:
[legend]
Collaboration diagram for wibble::Singleton< T >::const_iterator:
[legend]

## Public Member Functions

| const_iterator ()
const T & | operator* () const
const T * | operator-> () const
const_iterator & | operator++ ()
bool | operator== (const const_iterator &iter) const
bool | operator!= (const const_iterator &iter) const

## Protected Member Functions

| const_iterator (const T *value)

## Friends

class | Singleton< T >

## Constructor & Destructor Documentation

## const_iterator() [1/2]

template<typename T >

wibble::Singleton< T >::const_iterator::const_iterator | ( | const T * | value | ) |

inline protected

## const_iterator() [2/2]

template<typename T >

wibble::Singleton< T >::const_iterator::const_iterator | ( |  | ) |

inline

## Member Function Documentation

## operator!=()

template<typename T >

bool wibble::Singleton< T >::const_iterator::operator!= | ( | const const_iterator & | iter | ) | const

inline

## operator*()

template<typename T >

const T& wibble::Singleton< T >::const_iterator::operator* | ( |  | ) | const

inline

## operator++()

template<typename T >

const_iterator& wibble::Singleton< T >::const_iterator::operator++ | ( |  | ) |

inline

## operator->()

template<typename T >

const T* wibble::Singleton< T >::const_iterator::operator-> | ( |  | ) | const

inline

## operator==()

template<typename T >

bool wibble::Singleton< T >::const_iterator::operator== | ( | const const_iterator & | iter | ) | const

inline

## Friends And Related Function Documentation

## Singleton< T >

template<typename T >

friend class Singleton< T >

friend

The documentation for this class was generated from the following file:

- singleton.h